Skip site navigation (1)Skip section navigation (2)
Date:      Wed, 25 Apr 2018 18:59:29 +0000 (UTC)
From:      Kyle Evans <kevans@FreeBSD.org>
To:        src-committers@freebsd.org, svn-src-all@freebsd.org, svn-src-head@freebsd.org
Subject:   svn commit: r333009 - head/usr.bin/grep
Message-ID:  <201804251859.w3PIxTRD014647@repo.freebsd.org>

next in thread | raw e-mail | index | archive | help
Author: kevans
Date: Wed Apr 25 18:59:29 2018
New Revision: 333009
URL: https://svnweb.freebsd.org/changeset/base/333009

Log:
  <compress>grep: Special case the -V flag
  
  In case we need version information of the ultimately chosen grep, allowing
  `zgrep -V` to operate would be most helpful.

Modified:
  head/usr.bin/grep/zgrep.sh

Modified: head/usr.bin/grep/zgrep.sh
==============================================================================
--- head/usr.bin/grep/zgrep.sh	Wed Apr 25 18:58:38 2018	(r333008)
+++ head/usr.bin/grep/zgrep.sh	Wed Apr 25 18:59:29 2018	(r333009)
@@ -106,6 +106,10 @@ do
 	    silent=1
 	    shift
 	    ;;
+	-V)
+	    ${grep} -V
+	    exit $?
+	    ;;
 	-*)
 	    grep_args="${grep_args} $1"
 	    shift



Want to link to this message? Use this URL: <https://mail-archive.FreeBSD.org/cgi/mid.cgi?201804251859.w3PIxTRD014647>